Back in October, we let you know about the “poodle bug” and it’s potential dangers. In case you forgot, the posting is here: poodle bug. 

In summary, the bug works by tricking your browser into using an out-dated version of Internet security. Since then, there have been browser patches and updates to protect against the bug. Hopefully, your browser is now updated and completely invulnerable to this nasty beast. If not…and here’s the important part…AS OF TOMORROW BILL PAY WILL NOT FUNCTION ON AN OUTDATED, STILL VULNERABLE BROWSER. 

Need to check to make sure? The site POODLEtest.com will let you know if you browser is vulnerable. The link will open in a new window and take you to a site maintained by POODLEtest.com. 

In the unlikely event that your updated browser is still vulnerable, there are a number of sites that show you how to manually make the needed repair. Here’s one: makeuseof.com. The link will open in a new window and take you to a site maintained by Makeuseof.com. 

Keeping your computer, including you browser up to date, is one of your most effective tools in staying safe from bugs and hackers. The other critical tool? Paying attention. The internet may be a virtual world, but very real world damage can be done there. Stay alert.

If you need more information on bill pay (or why it’s not working for you all of a sudden) give us a call at 800.828.6446, toll free.